org.apache.sysds.parser

## Class FunctionDictionary<T extends Types.FunctionBlock>

- java.lang.Object
- - org.apache.sysds.parser.FunctionDictionary<T>

-     public class FunctionDictionary<T extends Types.FunctionBlock>
      extends Object

  Dictionary of all functions of a namespace, represented as a simple key-value map of function names and function statement blocks.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FunctionDictionary()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFunction(String fname, T fsb)`
    `void` | `addFunction(String fname, T fsb, boolean opt)`
    `boolean` | `containsFunction(String fname)`
    `boolean` | `containsFunction(String fname, boolean opt)`
    `void` | `copyOriginalFunctions()`
    `T` | `getFunction(String fname)`
    `T` | `getFunction(String fname, boolean opt)`
    `Map<String,T>` | `getFunctions()`
    `Map<String,T>` | `getFunctions(boolean opt)`
    `void` | `merge(FunctionDictionary<T> that)`
    `void` | `removeFunction(String fname)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FunctionDictionary

          public FunctionDictionary()

  - ### Method Detail

    - #### addFunction

          public void addFunction(String fname,
                                  T fsb)

    - #### addFunction

          public void addFunction(String fname,
                                  T fsb,
                                  boolean opt)

    - #### removeFunction

          public void removeFunction(String fname)

    - #### getFunction

          public T getFunction(String fname)

    - #### getFunction

          public T getFunction(String fname,
                               boolean opt)

    - #### containsFunction

          public boolean containsFunction(String fname)

    - #### containsFunction

          public boolean containsFunction(String fname,
                                          boolean opt)

    - #### getFunctions

          public Map<String,T> getFunctions()

    - #### getFunctions

          public Map<String,T> getFunctions(boolean opt)

    - #### copyOriginalFunctions

          public void copyOriginalFunctions()

    - #### merge

          public void merge(FunctionDictionary<T> that)

Copyright © 2021 The Apache Software Foundation. All rights reserved.